package test.com;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.net.URL;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JPanel;

import org.jivesoftware.smack.packet.Presence;


public class PicturePanel extends JPanel{
	private ImageIcon icon ;
	private Presence presence;
	 
	public PicturePanel() {
		this.setMinimumSize(new Dimension(48,48));
	}
 
	protected void paintComponent(Graphics g){
		super.paintComponents(g);
		Graphics2D g2=(Graphics2D)g;
		g2.drawImage(icon.getImage(), 8, 8, 76, 76, null);
	}

	public ImageIcon getIcon() {
		return icon;
	}

	public void setIcon(ImageIcon icon) {
		this.icon = icon;
	}

	public Presence getPresence() {
		return presence;
	}

	public void setPresence(Presence presence) {
		if (changedPresence(presence)) {
			this.presence = presence;
			setBorder(BorderFactory.createLineBorder (getBorderColor(), 8));
			invalidate();
			repaint();
		}
	}
	private Color getBorderColor() {

		if (presence.getType() == Presence.Type.available) {
			if (presence.getMode() == Presence.Mode.away
					|| presence.getMode() == Presence.Mode.xa) {
				return Color.yellow;
			} else if (presence.getMode() == Presence.Mode.dnd) {
				return Color.red;
			} else {
				return Color.green;
			}
		} else {
			return Color.gray;
		}
		
	}
	
	private boolean changedPresence(Presence newPresence) {
		boolean changed;		
		if (presence == null) {
			changed = newPresence != null;
		} else if (newPresence == null) {
			changed = true;
		} else {
			changed = !presence.toString().equals(newPresence.toString());
		}		
		return changed;
	}	
}
