package test.com;

import org.jivesoftware.spark.plugin.Plugin;
import org.jivesoftware.spark.util.UIComponentRegistry;


public class TestPlugin implements Plugin {

	public TestPlugin() {
		UIComponentRegistry.registerContactItem(TestContactItem.class);
	}

	/**
	 * Called after Spark is loaded to initialize the new plugin.
	 */
	@Override
	public void initialize() {
	}

	/**
	 * Called when Spark is shutting down to allow for persistence of
	 * information or releasing of resources.
	 */
	@Override
	public void shutdown() {
		// nothing to do
	}

	/**
	 * Return true if the Spark can shutdown on users request.
	 *
	 * @return true if Spark can shutdown on users request.
	 */
	@Override
	public boolean canShutDown() {
		return true;
	}

	/**
	 * Is called when a user explicitly asked to uninstall this plugin. The
	 * plugin owner is responsible to clean up any resources and remove any
	 * components install in Spark.
	 */
	@Override
	public void uninstall() {
		// Remove all resources belonging to this plugin.
	}
}
